import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const provinceNationalFarmManagementInfoDashboardService =
  createAsyncThunk(
    "PROVINCE_NATIONAL_GET_FARM_INFO_DASHBOARD_SERVICE",
    async (d, { dispatch }) => {
      dispatch(LOADING_START());
      const { data, status } = await axios.get(
        "https://rsibackend.rasadyar.com/app/poultry-dashboard/",
        {
          params: {
            role: getRoleFromUrl(),
            search: d.search,
            province: d.province,
          },
        }
      );
      dispatch(LOADING_END());
      return { data, status };
    }
  );
